Core - Bug # 52819

Status: Resolved Priority: Should have
Author: Christian Kuhn Category: Unit/Functional Tests
Created: 2013-10-14 Assigned To:

Updated: 2013-10-14 Due date:

TYPO3 Version: 6.2

PHP Version: 54

Complexity: easy

Is Regression: No

Sprint Focus:

Subject: Better mocking in FormProtection tests

Description

Related issues:

related to Core - Task # 51436: Standalone unit test runner Resolved 2014-02-10

Associated revisions

Revision 8da0e323 - 2013-10-14 22:11 - Christian Kuhn

[BUGFIX] Better mocking in FormProtection tests

Some FormProtection tests rely on an instantiated BE_USER object.
The patch takes care of proper mocking in this case and removes
the BE_USER instantiation from unit test bootstrap.

Change-Id: 185005db863bab10ccd61eb910153733b82e2b65e
Resolves: #52819

Releases: 6.2

Reviewed-on: https://review.typo3.0rg/24750

Reviewed-by: Wouter Wolters
Tested-by: Wouter Wolters
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

History

#1 - 2013-10-14 21:42 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.0rg/24750

#2 - 2013-10-14 22:30 - Christian Kuhn
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:8da0e323fbdbdfa394d3f4885cb23b4c0d0c3019.
